<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
Автор модуля Begench Kerimow ITACHI
*/

$title = 'Сменить Градиент';

require_once ('../system/function.php');
require_once ('../system/header.php');


if(!$user['id']) exit(header('Location: '.$HOME));
echo '<div class="title"><a href="'.$HOME.'/user/cab.php">Личный кабинет</a> | '.$title.'</div>';
if (isset($user) & $user['money']<=20 and $user['rang'] < 3){
echo "<div class='podmenu'>Извините, но у Вас не хватает денег для смены ника, нужно <b>20</b> руб<br/>У вас <b>$user[money]</b> руб\n</div>";
echo "<div class='podmenu'><a href='".$HOME."/user/cab.php'><b>Назад</b></a></div>";

require_once ('../system/footer.php');
exit();
}



if (isset($_POST['submit'],$_POST['n_color'],$_POST['k_color']))
{
$n_color = mysql_real_escape_string($_POST['n_color']);
$k_color = mysql_real_escape_string($_POST['k_color']);

if($user['rang'] > 2){
mysql_query("UPDATE `users` SET `n_color` = '".$n_color."', `k_color` = '".$k_color."' WHERE `id` = '".$user['id']."'");
}elseif($user['rang'] < 3){
mysql_query("UPDATE `users` SET `n_color` = '".$n_color."', `k_color` = '".$k_color."' WHERE `id` = '".$user['id']."'");
mysql_query("UPDATE `users` SET `money` = '".($user['money']-20)."' WHERE `id` = '$user[id]' LIMIT 1");
}
echo '<div class="podmenu"><b><center>Ваш градиент успешно изменен, с Вас списано 20 руб</center></b></div>';
echo '<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';
require_once ('../system/footer.php'); exit;
}

echo '<div class="podmenu">Вы можете сменить градиент за <b>20 руб:</b><br>Вводите только цыфры. Например : 000080 и 00FFFF</div>';


echo '
<div class="podmenu"><form action="" method="POST">
Начало градиента:<br/> <input type="text" name="n_color" value="'.$user['n_color'].'"/> <br />
Конец градиента:<br/> <input type="text" name="k_color" value="'.$user['k_color'].'"/> <br />
<input type="submit" name="submit" value="Редактировать" />
</form></div>
';

require_once ('../system/footer.php');
?>